Package com.ngrok.definitions

# Class HttpResponseBackendList

java.lang.Object
com.ngrok.definitions.HttpResponseBackendList

All Implemented Interfaces:
  `Pageable`

public class HttpResponseBackendList extends Object implements Pageable
A class encapsulating the `HttpResponseBackendList` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpResponseBackendList(List<HttpResponseBackend> backends, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `HttpResponseBackendList`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `List<HttpResponseBackend>`
  `getBackends()`
  Fetches the value of the `backends` property.
  `Optional<URI>`
  `getNextPageUri()`
  Fetches the value of the `nextPageUri` property.
  `URI`
  `getUri()`
  Fetches the value of the `uri` property.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpResponseBackendList

    public HttpResponseBackendList(List<HttpResponseBackend> backends, URI uri, Optional<URI> nextPageUri)
    Creates a new instance of `HttpResponseBackendList`.
    Parameters:
      `backends` - the value of the `backends` parameter as a `List` of `HttpResponseBackend`
      `uri` - the value of the `uri` parameter as a `URI`
      `nextPageUri` - the value of the `next_page_uri` parameter as a `URI`

- ## Method Details

  - ### getBackends

    public List<HttpResponseBackend> getBackends()
    Fetches the value of the `backends` property.
    Returns:
      the value of the property as a `List` of `HttpResponseBackend`

  - ### getUri

    public URI getUri()
    Fetches the value of the `uri` property.
    Returns:
      the value of the property as a `URI`

  - ### getNextPageUri

    public Optional<URI> getNextPageUri()
    Fetches the value of the `nextPageUri` property.
    Specified by:
      `getNextPageUri` in interface `Pageable`
    Returns:
      the value of the property as a `URI` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`